Bug 1939164 (CVE-2021-28375) - CVE-2021-28375 kernel: fastrpc_internal_invoke in drivers/misc/fastrpc.c does not prevent user applications from sending kernel RPC messages
Summary: CVE-2021-28375 kernel: fastrpc_internal_invoke in drivers/misc/fastrpc.c does...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-28375
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1939166
Blocks: 1939167
TreeView+ depends on / blocked
 
Reported: 2021-03-15 17:36 UTC by Pedro Sampaio
Modified: 2021-03-26 23:35 UTC (History)
43 users (show)

Fixed In Version: Kernel 5.1
Doc Type: If docs needed, set a value
Doc Text:
An issue was discovered in the Linux kernel. Fastrpc_internal_invoke in drivers/misc/fastrpc.c does not prevent user applications from sending kernel RPC messages. This is a related issue to CVE-2019-2308.
Clone Of:
Environment:
Last Closed: 2021-03-26 23:35:21 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-03-15 17:36:51 UTC
An issue was discovered in the Linux kernel through 5.11.6. fastrpc_internal_invoke in drivers/misc/fastrpc.c does not prevent user applications from sending kernel RPC messages. This is a related issue to CVE-2019-2308.

References:

https://git.kernel.org/linus/20c40794eb85ea29852d7bc37c55713802a543d6
https://lore.kernel.org/stable/YD03ew7+6v0XPh6l@kroah.com/

Comment 1 Pedro Sampaio 2021-03-15 17:37:30 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1939166]

Comment 3 Rohit Keshri 2021-03-16 09:20:06 UTC
Statement:

There was no shipped kernel version were seen affected with this problem. These files are not built in our source code.

Comment 4 Rohit Keshri 2021-03-16 09:20:50 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 7 Product Security DevOps Team 2021-03-26 23:35:21 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-28375


Note You need to log in before you can comment on or make changes to this bug.